using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using System.Configuration;

namespace AxpDBNetCSSample.Samples
{
	public class Sample16 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox ProductName;
		protected System.Web.UI.WebControls.TextBox SupplierID;
		protected Button Search;

		protected Axezz.WebControls.AxpDataGrid AxpDataGrid1;

		private void Page_Load(object sender, System.EventArgs e)
		{
			AxpDataGrid1.ConnectionString = ConfigurationSettings.AppSettings["ConnectionString"];
			// Because WebControls are loaded after the grid, we set the grid property .UseDataBinding = True.
			// We must then call the grid DataBind method after setting other properties.
			// For simplicity in this example we do all the work in the Page PreRender event
			AxpDataGrid1.UseDataBinding = true;
		}

		private void InitGrid()
		{
			string sql = "select * from products";
			string whereClause = string.Empty;
			if (ProductName.Text.Trim() != string.Empty)
				whereClause = " where ProductName Like '" + ProductName.Text.Trim() + "%'";
		
			if (SupplierID.Text.Trim() != string.Empty)
			{
				if (whereClause == string.Empty)
					whereClause = whereClause + " where";
				else
					whereClause = whereClause + " and";
			
				whereClause = whereClause + " SupplierID=" + SupplierID.Text.Trim();
			}
			sql = sql + whereClause;
			if (Session["prevsql"] != null && Session["prevsql"].ToString() != sql)
				// We keep the previous sql in a session variable and resets the AxpDataGrid "state" if the SQL has changed.
				AxpDataGrid1.ClearState = true;
		
			Session["prevsql"] = sql;
			AxpDataGrid1.SQL = sql;

			AxpDataGrid1.DataBind();	 // Must be called when .UseDataBinding = True
		}

		private void Page_PreRender(object sender, System.EventArgs e)
		{
			InitGrid();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
			this.PreRender += new System.EventHandler(this.Page_PreRender);
		}
		#endregion
	}
}
